## org.apache.maven.plugins.site.webapp
Class DoxiaFilter

    java.lang.Object
      org.apache.maven.plugins.site.webapp.DoxiaFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class DoxiaFilter

extends java.lang.Object
implements javax.servlet.Filter

Render a page as requested.

Author:
  Brett Porter

Field Summary
`static java.lang.String` `I18N_DOXIA_CONTEXTS_KEY`
`static java.lang.String` `LOCALES_LIST_KEY`
`static java.lang.String` `SITE_RENDERER_KEY`

Constructor Summary
`DoxiaFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SITE_RENDERER_KEY

    public static final java.lang.String SITE_RENDERER_KEY

See Also:
  Constant Field Values

### I18N_DOXIA_CONTEXTS_KEY

    public static final java.lang.String I18N_DOXIA_CONTEXTS_KEY

See Also:
  Constant Field Values

### LOCALES_LIST_KEY

    public static final java.lang.String LOCALES_LIST_KEY

See Also:
  Constant Field Values

Constructor Detail

### DoxiaFilter

    public DoxiaFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`
  See Also:
    `Filter.init(javax.servlet.FilterConfig)`

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`
  See Also:
    `Filter.doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`
  See Also:
    `Filter.destroy()`

Copyright © 2011. All Rights Reserved.